/// <reference types="node" />
import { AsyncStorageWrapper } from './async-storage-wrapper';
import type { StaticGenerationStore } from '../../client/components/static-generation-async-storage';
import type { RenderOpts } from '../app-render';
import type { AsyncLocalStorage } from 'async_hooks';
export declare type RequestContext = {
    pathname: string;
    renderOpts: RenderOpts;
};
export declare class StaticGenerationAsyncStorageWrapper implements AsyncStorageWrapper<StaticGenerationStore, RequestContext> {
    wrap<Result>(storage: AsyncLocalStorage<StaticGenerationStore>, context: RequestContext, callback: () => Result): Result;
    /**
     * @deprecated instance method should be used in favor of the static method
     */
    static wrap<Result>(storage: AsyncLocalStorage<StaticGenerationStore>, { pathname, renderOpts }: RequestContext, callback: () => Result): Result;
}
